Bug 1077038 - [kubic] Installer crash 'SetOverlay called when old overlay was not cleared'
[kubic] Installer crash 'SetOverlay called when old overlay was not cleared'
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: Imobach Gonzalez Sosa
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-22 12:29 UTC by Richard Brown
Modified: 2022-06-06 09:05 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
y2logs attached (63.65 KB, application/x-bzip)
2018-01-22 12:29 UTC, Richard Brown
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Brown 2018-01-22 12:29:29 UTC
Created attachment 757096 [details]
y2logs attached

When going through a Kubic installation it's easy to trigger the below bug which prevents the installation continuing

install(3316) [Ruby] yast/wfm.rb:253 Client /mounts/mp_0001/usr/share/YaST2/clients/inst_casp_overview.rb failed with 'SetOverlay called when old overlay was not cleared' (RuntimeError).

# Steps to reproduce

Start installer
Enter password
Click install
When shown the "Confirm installation" screen, press Back
Click install
Crash happens
Comment 1 Imobach Gonzalez Sosa 2018-01-22 13:06:27 UTC
A fix (not even tested yet) is under review: https://github.com/yast/yast-installation/pull/646.
Comment 2 Imobach Gonzalez Sosa 2018-01-30 16:04:32 UTC
A new fix (which would replace the previous one) has been proposed: https://github.com/yast/yast-caasp/pull/26
Comment 3 Imobach Gonzalez Sosa 2018-01-30 16:51:34 UTC
The second patch is enough. The code is merged and a SR is on its way: https://build.suse.de/request/show/153403

Thanks!